This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 820046 - Python client generates empty msgctxt "" when pushing
Python client generates empty msgctxt "" when pushing
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: zanata-python-client (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: James Ni
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-08 21:29 EDT by Sean Flanigan
Modified: 2012-07-17 13:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: python client version: 1.3.7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-17 22:42:07 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2012-05-08 21:29:24 EDT
Description of problem:
When downloading PO files via the web interface, messages are being generated with empty msgctxt (msgctxt "") instead of no msgctxt.  The same messages are generated without msgctxt when pulled via the python client.

Version-Release number of selected component (if applicable):
Zanata version 1.5.0 (20120405-0130).
Comment 2 Carlos Munoz 2012-05-09 02:51:48 EDT
Seems to be related to push using the python client. Both the maven client and the PO download feature from the UI use the same file generation mechanism, and they will generate whatever is stored in the server.

Managed to replicate the issue locally when pushing using the python client, but waiting for James to verify that.
Comment 3 James Ni 2012-05-09 04:06:37 EDT
Thanks Carlos,

Yes, it is a fault in python client, i can verify this issue on my side. I have modify the source code to fix this issue, after modify the source code, there is no empty msgctxt when downloading from web UI. Please use the latest source code to verify it. I will include this change in the next release.

Thanks
Comment 4 James Ni 2012-05-09 04:10:03 EDT
The fix of this issue is in commit 56134ee on git-hub
Comment 6 James Ni 2012-05-13 22:14:49 EDT
Sean,

Thanks your comment, I have made another commit to fix this issue, please see my commit on github:

https://github.com/zanata/zanata-python-client/commit/a461565d0808a5231d5f99b86a48ae5779032d14
Comment 7 Joyce Chang 2012-05-14 23:22:05 EDT
verified with python client version: 1.3.5-6-ga461
Comment 8 Fedora Update System 2012-06-13 01:38:31 EDT
zanata-python-client-1.3.7-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc16
Comment 9 Fedora Update System 2012-06-13 01:39:11 EDT
zanata-python-client-1.3.7-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el5
Comment 10 Fedora Update System 2012-06-13 01:39:42 EDT
zanata-python-client-1.3.7-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc17
Comment 11 Fedora Update System 2012-06-13 01:40:16 EDT
zanata-python-client-1.3.7-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.fc15
Comment 12 Fedora Update System 2012-06-13 01:40:51 EDT
zanata-python-client-1.3.7-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/zanata-python-client-1.3.7-1.el6
Comment 13 Fedora Update System 2012-06-14 20:19:03 EDT
Package zanata-python-client-1.3.7-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zanata-python-client-1.3.7-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-9357/zanata-python-client-1.3.7-1.fc16
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-06-14 22:15:23 EDT
Package zanata-python-client-1.3.7-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing zanata-python-client-1.3.7-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6156/zanata-python-client-1.3.7-1.el6
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2012-07-17 13:30:31 EDT
zanata-python-client-1.3.7-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.